Remove the member's password. Magic-link auth is always available, so the account never becomes locked out from this. We still verify the authenticated session before proceeding.
DELETE
/account/security/password
const url = 'https://api.siteqwality.com/account/security/password';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.siteqwality.com/account/security/password \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Password removed
Media type application/json
object
ok
required
boolean
Example generated
{ "ok": true}Missing or invalid authentication
Endpoint requires a user session
Internal server error
Stytch API call failed